<?php
$this->escort = new Model_EscortV2Item( $this->escort );
$this->DEFINITIONS = Zend_Registry::get('defines');
$this->conf = Zend_Registry::get('escorts_config');
$about = $this->escort->getAbout();

$langs = $this->escort->getLangs();

$services = $this->escort->getServices();
$rates = $this->escort->getRates();
$tours = $this->tours;

//print_r( $tours );

$contacts = $this->escort->getContacts();

$p_count = 0;
$photos = $this->escort->getPhotos(1, $p_count, true);

$filtered_phone = ( isset($contacts->phone_country_id) && ! $contacts->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($contacts->phone_country_id) . $contacts->phone_number : $contacts->phone_number;
$age = $this->dateToAge($about->birth_date);

$services = ( $this->is_preview ) ? $this->escort->getServicesForPreview() : $this->escort->getServices();
$s_display = false; foreach ( $services as $service ) if ( $service->service_id ) { $s_display = true; break; }
$add_services = $this->escort->getAdditionalServices();

$rates = ( $this->is_preview ) ? $this->escort->getRates() : $this->escort->getHHRates();
$spec_rates = $about->special_rates;

$travel_rates = $this->escort->getTravelRates();
$travel_conditions = $this->escort->getTravelConditions();
$travel_p_methods = $this->escort->getTravelPaymentMethods();
$travel_place = $this->escort->getTravelPlace($this->escort->id);

$this->sitePath()->append( $this->escort->{ city_title_ . Cubix_I18n::getLang() }, '/' . 'escorts/city_' . $this->escort->country_iso . '_' . $this->escort->city_slug );
$this->sitePath()->append( $this->escort->showname, '' );
?>



<div class="_breadcrumb _br_static">
    <?=$this->sitePath();?>
</div>


<!--/*-------------------------------------------------------*/-->
<?php //echo '-' . $this->next_showname . '-'; ?>
<? if ( $this->back_showname ): ?>
    <a href="<?= $this->getLink('profile', array('showname' => $this->back_showname, 'escort_id' => $this->back_id)) ?>?from=<?= $this->paging_key ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back_' . $this->lang() . '.gif') ?>" alt="Back" /></a>
<? endif ?>

<? if ( $this->next_showname ): ?>
    <a href="<?= $this->getLink('profile', array('showname' => $this->next_showname, 'escort_id' => $this->next_id)) ?>?from=<?= $this->paging_key ?>" id="global-btn-next"><img src="<?= _st('v2.1/btn_next_' . $this->lang() . '.gif') ?>" alt="Next" /></a>
<? endif ?>
<!--/*------------------------------------------------------*/-->

<div id="popup-wrapper">
<!--    <a href="#" data-rel="back" class="close-escort-popup">X</a>-->

<div class="popup-static-header">

    <!--<div id="escort-popup-header">
        <h2><?=$this->escort->showname?></h2>
        <?php $country = 'country_' . $this->lang(); $city = 'city_title_' . $this->lang(); ?>
        <div class="place">
                        <span><?=( $this->escort->{$city} )?$this->escort->{$city}:$this->escort->profile_data->{$city}; ?>,
                        </span><span><?=( $this->escort->{$country} )?$this->escort->{$country}:$this->escort->profile_data->{$country} ?></span>

            <?php if( $contacts->phone_number ): ?>
                <a href="tel:<?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
                    <span class="escort-popup-phone"><?= $filtered_phone; ?></span>
                </a>
            <?php endif; ?>
        </div>
    </div>


    <div id="popup-escort-image-block">
        <?php if( count( $photos ) > 1 ): $i = 0; ?>
            <? foreach( $photos as $i => $photo ): ?>
                <?php if( $i < 3 ): ?>
                    <img src="<?= $photo->getUrl('backend_agency_thumb') ?>" alt="<?=$this->escort->showname;?>" width="106" />
                <?php endif; $i += 1; ?>
            <? endforeach; ?>
        <?php else: ?>
            <img src="<?= $photos[0]->getUrl('backend_agency_thumb') ?>" alt="<?=$this->escort->showname;?>" width="106" />
        <?php endif; ?>
    </div>-->

    <ul id="escort-profile-tabs">

        <li data-show="to-escort-home" class="info-basic active scroll-it">
            <?= __('about_me') ?>
        </li>
        <li data-show="to-escort-services" class="info-services">
            <?= __('services') ?>
        </li>
        <li data-show="to-escort-contact" class="info-contact">
            <?= __('contact') ?>
        </li>
        <li data-show="to-escort-photos" class="info-photos">
            <?= __('gallery') ?>
        </li>
    </ul>
</div>

<?php //print_r( $langs ); ?>

<div data-info="info-photos" data-id="to-escort-comments" id="popup-image-wrapper">
    <?php if($this->video): ?>
        <div class="video-wrapper">
            <div id="video">
            </div>
        </div>
    <?php endif; ?>

    <?php $main_image = ''; $m = 0; ?>
    <?php if( count( $this->photos ) > 1 ): ?>
        <? foreach( $this->photos as $i => $photo ): ?>

            <?php if( $m == 0 ) $main_image = ( $photo->is_portrait )?$photo->getUrl('pp_be'):$photo->getUrl('pl_be'); ?>
            <img src="<?= ( $photo->is_portrait )?$photo->getUrl('pp_be'):$photo->getUrl('pl_be'); ?>" alt="<?=$this->escort->showname;?>" width="320" />
        <? $m += 1; endforeach; ?>
    <?php else: ?>
        <?php $main_image = ( $photos[0]->is_portrait )?$photos[0]->getUrl('pp_be'):$photos[0]->getUrl('pl_be'); ?>
        <img src="<?= ( $photos[0]->is_portrait )?$photos[0]->getUrl('pp_be'):$photos[0]->getUrl('pl_be'); ?>" width="320" />
    <?php endif; ?>
</div>

<!--    <div class="btm-hr"></div>-->

<div id="escort-popup-tabs">

<!--Data Bascic information-->
<div data-info="info-basic" class="show" >

<div class="scrolling-area yui3-scrollview-loading" id="scrollable">

    <? if( $this->escort->agency_id ): ?>
        <input type="hidden" value="a" data-rel="contact-type" />
    <? else: ?>
        <input type="hidden" value="e" data-rel="contact-type" />
    <? endif; ?>
    <?php $system = Cubix_Application::getById()->measure_units;

        $data = array(
            'ethnic' => @$this->DEFINITIONS['ethnic_options'][$about->ethnicity],
            'nationality' => $about->{'nationality_title_' . $this->lang()},
            'age' => $age,
            'eyes' => @$this->DEFINITIONS['eye_color_options'][$about->eye_color],
            'hair' => @$this->DEFINITIONS['hair_color_options'][$about->hair_color],
            'hair_length' => @$this->DEFINITIONS['hair_length_options'][$about->hair_length],
            'height' => ( $system == METRIC_SYSTEM ) ? $about->height : str_replace( array('\' ', '"'), array(' feet ', ' inches'), Cubix_UnitsConverter::convert($about->height, 'cm', 'ftin') ),
            'weight' => ( $system == METRIC_SYSTEM ) ? $about->weight : Cubix_UnitsConverter::convert($about->weight, 'kg', 'lbs') . ' lbs',
            'orientation' => $this->DEFINITIONS['sexual_orientation_options'][$about->sex_orientation],
            'service_for' => $about->sex_availability
        );
    ?>

        <h2 data-id="to-escort-home" class="main-heading">
            <span class="escort-title-1">
                <?=$this->showname?>
                <img alt="bio-icon" src="/img/mobile/icons/escort-bio-icon.png" />
            </span>
            <span class="escort-title-2">
                <?php if( $filtered_phone ): ?>
                    <img alt="bio-icon" src="/img/mobile/icons/escort-mnumber-icon.png" />
                    <a href="tel:<?= $filtered_phone; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
                        <?= $filtered_phone; ?>
                    </a>
                <?php endif; ?>
            </span>
            <div class="toClear"></div>
        </h2>

        <img class="escort-main-image" src="<?=$main_image?>" />

        <style>
            .escort-title-2 a { font-size: 18px !important; }
            #video { margin: 3px 0; }
            #video1 { margin: 10px 0; }
        </style>

        <?php if($this->video): ?>
            <div class="video-wrapper">
                <div id="video1">
                </div>
            </div>
        <?php endif; ?>

        <!--<div class="escort-lang-info">
            <?php/* if( count( $langs ) > 0 ): ?>
                <? foreach ( $langs as $lang ):?>
                    <div class="simple-lang">
                        <? $lang = (object) $lang; ?>
                        <strong><?= $this->DEFINITIONS['language_options'][$lang->id] ?></strong>
                        <div class="all-percent">
                            <div class="percently" style="width: <?= $lang->level*25 ?>%"><span><?//= ( $lang->level && $lang->level > 20 )?$lang->level . '%':'' ?></span></div>
                        </div>
                    </div>
                <? endforeach ?>
            <?php endif; */?>
        </div>-->

        <table class="basic-items">
            <?php $clr = 0; foreach( $data as $item => $value ): ?>
                <tr class="<?=( $clr % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                    <td class="title"><?= __($item) ?></td>
                    <td width="50%"><?= ( $value )?$value:'-'; ?></td>
    <!--                <span class="toClear"></span>-->
                </tr>
            <?php $clr += 1; endforeach; ?>

            <?php if( count( $langs ) > 0 ): ?>
                <? $t = 0; foreach ( $langs as $lang ):?>
                    <tr class="<?=( $clr % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                        <? $lang = (object) $lang; ?>
                        <td><?= ( $t == 0 ) ? __('languages') : '' ?></td>
                        <td class="all-percent">

                            <span class="lang-title"><?php echo $this->DEFINITIONS['language_options'][$lang->id]; ?></span>
                                <? for ( $j = 0; $j < $lang->level; $j += 1 ): ?>
                                    <img src="/img/mobile/icons/star-act-icon.png" alt="level-exist" />
                                <?php endfor; ?>

                                <? for ( $j = 0; $j < ( 4 - $lang->level ); $j += 1 ): ?>
                                    <img src="/img/mobile/icons/star-pass-icon.png" alt="level-exist" />
                                <?php endfor; ?>
                            <?//= $lang->level ?>
                        </td>
                    </tr>
                <? $clr += 1; $t += 1; endforeach ?>
            <?php endif; ?>

            <? if ( $this->about->incall_type || $this->about->outcall_type ): ?>
            <?
                $incall_types = array(
                    '1' => 'private_apartment',
                    '2' => 'hotel_room',
                    '3' => 'club_studio',
                    '4' => ''
                );
                $outcall_types = array(
                    '1' => 'hotel_visits_only',
                    '2' => 'home_visits_only',
                    '3' => 'hotel_and_home_visits',
                    '4' => ''
                );
            ?>
            <tr class="<?=( $clr % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                <td><?= $this->t('available_for') ?></td>
                <td>
                    <? if ( $this->about->incall_type ): ?>
                    <span class="incall">
                        <?= $this->t('incall_services'); ?><?= ($this->about->incall_type != 4) ? ': ' . $this->t($incall_types[$this->about->incall_type]) : ( ($this->about->incall_other) ? ': ' . $this->about->incall_other : '') ?>
                    </span>
                    <? endif ?>

                    <? if ( $this->about->outcall_type ): ?>
                    <span class="outcall">
                        <?= $this->t('outcall_services') ?><?= ($this->about->outcall_type != 4) ? ': ' . $this->t($outcall_types[$this->about->outcall_type]) : ( ($this->about->outcall_other) ? ': ' . $this->about->outcall_other : '') ?>
                    </span>
                    <? endif; ?>
                </td>
            </tr>
            <? endif; ?>

        </table>


        <h2 class="main-heading"><?=__('about_me')?>
            <img alt="bio-icon" src="/img/mobile/icons/escort-about-icon.png" />
        </h2>
        <div><?= ( $about->{'about_' . $this->lang()} )?$about->{'about_' . $this->lang()}:'-'; ?></div>


        <!--Data Rates-->
        <?php if( count( $rates ) ): ?>
            <div>
                <h2 class="main-heading"><?=__('rates');?>
                    <img alt="bio-icon" src="/img/mobile/icons/escort-rates-icon.png" />
                </h2>

                <div id="rates" class="none">
                    <? if ( count($rates) > 0 && is_array($rates) ):
                        ?>
                        <? $currencies = Model_Currencies::getAllAssoc() ?>
                        <? $r_cnt = 0; foreach ( $rates as $k => $rate ): ?>
                        <table class="basic-items">
                            <tr class="<?=( $r_cnt % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                                <td colspan="2" class="head"><?= $this->DEFINITIONS['available_for'][$k] ?></td>
                            </tr>
                                    <? $r_cnt += 1; foreach($rate as $r): ?>
                                        <tr class="<?=( $r_cnt % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                                            <td class="w32">
                                                <? if ( ! $r->type ): ?>
                                                    <?= $r->time ?>
                                                <? else: ?>
                                                    <?= $this->t($r->type) ?>
                                                <? endif; ?>
                                                <?= ( ! $r->type ) ? ' ' . $r->time_unit_title : '' ?>:</td>
                                            <th><?= number_format($r->price, 2) ?> <?= $currencies[$r->currency_id] ?></th>
                                        </tr>
                                    <? endforeach;?>
                        </table>
                    <? $r_cnt = 0; endforeach;?>
                        <div class="clear"></div>
                    <? else: ?>
                        <p>
                            <?= __('no_rates_found') ?>
                        </p>
                    <? endif ?>
                </div>

            </div>
        <?php endif; ?>


        <!--Data Services-->
        <?php if( count( $services ) ): ?>
            <div>
                <h2 data-id="to-escort-services" class="main-heading"><?=__('services');?>
                    <img alt="bio-icon" src="/img/mobile/icons/escort-services-icon.png" />
                </h2>

                <div id="services" class="none">
                    <?php

                    if(count($services) > 0 && is_array($services) && $services[0]->service_id):
                        ?>
                        <table class="basic-items" cellpadding="0" cellspacing="0">
                            <tbody>
                            <?
                            $s_cnt = 0;
                            foreach ( $services as $i => $service ):
                                if($service->service_id):
                                    ?>
                                    <tr class="<?=( $s_cnt % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                                        <td class="checked" >
                                            <div class="checked">
                                                <? $service = (object) $service ?>
                                                <?= @$this->DEFINITIONS['services']['common'][$service->service_id] ?>
                                                <?= @$this->DEFINITIONS['services']['extra'][$service->service_id] ?>
                                                <?= @$this->DEFINITIONS['services']['fetish'][$service->service_id] ?>

                                            </div>
                                            <td>
                                                <? if ( $service->price ): ?>
                                                    <span class="extra_charge"><?= __('services_extra_charge') ?> <?= $service->price ?> EUR</span>
                                                <? endif; ?>
                                            </td>
                                        </td>
                                    </tr>
                                <? endif; ?>
                            <? $s_cnt += 1; endforeach; ?>
                            <? $add_services = $this->escort->getAdditionalServices(); ?>
                            <? if ( strlen($add_services->{'additional_service_' . $this->lang()}) > 0 ): ?>
                                <tr class="<?=( $s_cnt % 2 == 0 ) ? 'th_clr' : 'sec_clr'?>">
                                    <td>
                                        <b><?= $this->t('additional') ?>:</b>

                                        <?= $add_services->{'additional_service_' . $this->lang()} ?>
                                    </td>
                                    <td></td>
                                </tr>
                            <? endif; ?>



                            </tbody>
                        </table>

                    <? else: ?>
                        <p>  <?= __('no_services_found') ?></p>
                    <? endif; ?>
                </div>

            </div>
        <?php else: ?>
            <h2 data-id="to-escort-services" class="main-heading"><?=__('services');?>
                <img alt="bio-icon" src="/img/mobile/icons/escort-services-icon.png" />
            </h2>
            <span> - </span>
        <?php endif; ?>

        <!--Data Contact-->

        <div>
            <h2 data-info="info-contact" data-id="to-escort-contact" class="main-heading"><?=__('contact');?>
                <img alt="bio-icon" src="/img/mobile/icons/escort-contact-icon.png" />
            </h2>


            <table class="basic-items">

                <tr class="th_clr">
                    <td class="title"><?= __('base_city') ?></td>
                    <td width="50%"><?=$this->escort->{$city}; ?></td>
                </tr>

                <tr class="sec_clr">
                    <td class="title"><?= __('phone') ?></td>
                    <td width="50%">
                        <a href="tel:<?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
                            <?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>
                        </a>
                    </td>
                </tr>

                <? if(!empty(array_filter(array_values((array) $this->apps)))): ?>
                <tr class="th_clr">
                    <td class="title">Apps available</td>
                    <td width="50%">
                        <? $apps = [];
                        $this->apps->viber ? $apps[] = 'Viber' : null;
                        $this->apps->telegram ? $apps[] = 'Telegram' : null;
                        $this->apps->whatsapp ? $apps[] = 'WhatsApp' : null;
                        $this->apps->snapchat ? $apps[] = 'Snapchat' : null
                        ?>
                        <?= implode(', ', $apps); ?>
                    </td>
                </tr>
                <? endif; ?>

                <tr class="th_clr">
                    <td class="title"><?= __('email') ?></td>
                    <td width="50%">
                        <!--<a href="<?=( $this->escort->email ) ? 'mailto:' . $this->escort->email : 'javascript:void(0)'?>">
                            <?= ( $this->escort->email ) ? $this->escort->email : '-';?>
                        </a>-->
                        <a rel="external" style="display: block; width: 82px; height: 18px; outline: none" href="<?= $this->getLink('feedback') . '?to=' . $this->escort->id ?>" onclick="return Cubix.Feedback.Show($(this).getParent(), <?= $this->escort->id ?>, true)">
                            <img src='<?= _st($this->lang() . '_btn_contactme.gif') ?>' alt='<?= $this->t('contact_me') ?>' />
                        </a>
                    </td>
                </tr>

                <tr class="sec_clr">
                    <td class="title"><?= __('web') ?></td>
                    <td width="50%">
                        <a target="_blank" rel="external" href="<?= ( $contacts->website ) ? Cubix_Utils::urlMaker($contacts->website) : 'javascript:void(0)' ?>">
                            <?= ( $contacts->website ) ? $contacts->website : '-';?>
                        </a>
                    </td>
                </tr>
                 <tr class="th_clr">
                    <td class="title"><?= __('snapchat') ?></td>
                    <td width="50%"><?=$contacts->snapchat_username; ?></td>
                </tr>
            </table><br/>

            <?
            $work_times = $this->work_times;
            ?>
            <table class="basic-items">
                <? if ( $work_times['available_24_7'] ): ?>
                    <thead>
                        <tr>
                            <td>
                                <?= $this->t('working_time') ?>
                            </td>
                        </tr>
                    </thead>
                    <tr>
                        <td align="center">
                            <p class="mobile_available_24_7"><?= __('wt_24_7_text') ?></p>
                        </td>
                    </tr>
                <? endif;?>

                <? if ( $work_times['working_times'] && ! $work_times['available_24_7'] ): ?>
                    <thead>
                        <tr>
                            <td>
                                <?= $this->t('working_time') ?>:
                            </td>
                            <td>
                                <? if ( $this->escort->getIsNowOpen() ): ?>
                                    <img alt="Now open" src="/img/v2.1/open_<?= $this->lang() ?>.png" class="img" />
                                <? else: ?>
                                    <img alt="Closed" src="/img/v2.1/closed_<?= $this->lang() ?>.png" class="img" />
                                <? endif; ?>
                            </td>
                        </tr>
                    </thead>
                    <? ksort($work_times['working_times']); foreach($work_times['working_times'] as $k => $wt): $wt = (object) $wt ?>
                        <tr>
                            <td><?= $this->getWeekDay($k, $this->lang()); ?>:</td>
                            <th><?= ($wt->from < 10) ? '0' . $wt->from : $wt->from ?>:<?= ($wt->from_m < 10) ? '0' . $wt->from_m : $wt->from_m ?> - <?= ($wt->to < 10) ? '0' . $wt->to : $wt->to ?>:<?= ($wt->to_m < 10) ? '0' . $wt->to_m : $wt->to_m ?></th>
                        </tr>
                    <? endforeach;?>
                <? endif ?>
            </table><br />

            <!--<p class="contact-note"><?= __('contact_note') ?></p>

            <p class="base-city"><?= __('base_city') ?>:
                <span><?=$this->escort->{$city}; ?></span>
            </p>

            <p class="phone"><?= __('phone') ?>:
                <a href="tel:<?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
                    <span><?= ( $filtered_phone ) ? $filtered_phone : '-'; ?></span>
                </a>
            </p>

            <p class="email"><?= __('email') ?>:
                <span class="write-me">
                    <a id="open-form-<?=$this->escort->id;?>" data-id="<?=$this->escort->id;?>" ></a>
                </span>

                <span class="contact-form-icon"></span>
            </p>

            <p class="web"><?= __('web') ?>:
                <a target="_blank" rel="external" href="<?= ( $contacts->website ) ? $contacts->website : 'javascript:void(0)' ?>"><span><?= ( $contacts->website ) ? $contacts->website : '-';?></span></a>
            </p>

            <div class="contact-form-overlay">
                <span class="escort-contact-form-<?=$this->escort->id;?>"></span>
            </div>-->

            <?// $this->render( 'escorts/contact-form.phtml' ); ?>
        </div>


    </div>

    <div class="toClear"></div>

    </div>
</div>

    <?php if( $this->video ): ?>
        <script>
            if ($('video')) {
                var player = jwplayer('video').setup({
                    'file': '<?= $this->video; ?>',
                    'image': '<?= $this->gallery_video; ?>'
                }).resize('100%', 250);


                var player1 = jwplayer('video1').setup({
                    'file': '<?= $this->video; ?>',
                    'image': '<?= $this->gallery_video; ?>'
                }).resize('100%', 250);
            }
        </script>
    <?php endif; ?>

<style type="text/css">
    #header { position: fixed; top: 0; z-index: 1001; }
    .popup-static-header { top: 80px; padding-top: 19px; background: #F6F9FD; }
    div#escort-popup-tabs { padding-top: 155px; }
    /*._breadcrumb._br_static { position: fixed; top: 55px; z-index: 999; width: 320px; padding: 0; left: 50%; margin-left: -160px; background: #ffffff; }*/
</style>

<script type="text/javascript">
    $(document).on('pageinit', function() {
        MCubix.Escorts.scrollTabs();
        //MCubix.Escorts.openContact( '<?=$this->escort->id;?>', 'e' );
    });
</script>